# ApiHostInstallArguments

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**host_names** | **list[str]** | List of hosts to configure for use with Cloudera Manager. A host may be specified by a hostname (FQDN) or an IP address. | [optional] 
**ssh_port** | **float** | SSH port. If unset, defaults to 22. | [optional] 
**user_name** | **str** | The username used to authenticate with the hosts. Root access to your hosts is required to install Cloudera packages. The installer will connect to your hosts via SSH and log in either directly as root or as another user with password-less sudo privileges to become root. | [optional] 
**password** | **str** | The password used to authenticate with the hosts. Specify either this or a private key. For password-less login, use an empty string as password. | [optional] 
**private_key** | **str** | The private key to authenticate with the hosts. Specify either this or a password. &lt;br&gt; The private key, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character &#39;\\n&#39;. &lt;br&gt; A value will typically look like the following string: &lt;br&gt; -----BEGIN RSA PRIVATE KEY-----\\n[base-64 encoded key]\\n-----END RSA PRIVATE KEY----- &lt;br&gt; | [optional] 
**passphrase** | **str** | The passphrase associated with the private key used to authenticate with the hosts (optional). | [optional] 
**parallel_install_count** | **float** | Number of simultaneous installations. Defaults to 10. Running a large number of installations at once can consume large amounts of network bandwidth and other system resources. | [optional] 
**cm_repo_url** | **str** | The Cloudera Manager repository URL to use (optional). Example for SLES, Redhat or Debian based distributions: https://archive.cloudera.com/cm6/6.0.0 | [optional] 
**gpg_key_custom_url** | **str** | The Cloudera Manager public GPG key (optional). Example for SLES, Redhat or other RPM based distributions: https://archive.cloudera.com/cm5/redhat/5/x86_64/cm/RPM-GPG-KEY-cloudera Example for Ubuntu or other Debian based distributions: https://archive.cloudera.com/cm5/ubuntu/lucid/amd64/cm/archive.key | [optional] 
**java_install_strategy** | **str** | Added in v8: Strategy to use for JDK installation. Valid values are &lt;br&gt; 1. AUTO: Cloudera Manager will install the JDK versions that are required when the \&quot;AUTO\&quot; option is selected. This package will be downloaded from Cloudera repository. This operation may overwrite any of the existing JDK installations. &lt;br&gt; 2. NONE(default): Cloudera Manager will not install any JDK when \&quot;NONE\&quot; option is selected. It should be used if an existing JDK installation can be used. NOTE: Selecting the \&quot;NONE\&quot; option makes it the customer&#39;s responsibility to ensure that the unlimited strength JCE policy files are installed and enabled on each host, as appropriate for the version of Java in use. &lt;br&gt; 3. OS_PROVIDED_JDK: Option added in v40, Cloudera Manager will install OpenJDK packages provided by the [non-cloudera] Operating System repositories configured on each host. This operation may overwrite any of the existing JDK installations. | [optional] 
**unlimited_jce** | **bool** | Added in v8: Flag for unlimited strength JCE policy files installation If unset, defaults to false &lt;br&gt; Deprecated in CM 7.0.2: Flag for unlimited strength JCE policy files installation will be set to False. NOTE: With OpenJDK11 (and OpenJDK8 u232), JCE is installed and enabled by default. | [optional] 
**gpg_key_override_bundle** | **str** | The Cloudera Manager public GPG key (optional). This points to the actual bundle contents and not a URL. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


